## sidekick.enhanced
Class SourceAsset

    java.lang.Object
      sidekick.Asset
          sidekick.enhanced.SourceAsset

All Implemented Interfaces:
  IAsset

public class SourceAsset
extends Asset

SourceAsset: extends sidekick.Asset, provides the nodes for a structure tree

Version:
  $Revision: 1.4 $
Author:
  Martin Raspe

Field Summary

Fields inherited from class sidekick.Asset
`end, name, start`

Constructor Summary
`SourceAsset()`
`SourceAsset(String name, int lineNo, Position start)`

Method Summary
`int` `get_type()`
`Icon` `getIcon()` Returns the icon to be shown for the asset in the structure tree.
`int` `getLineNo()`
`String` `getLongDescription()`
`String` `getLongString()` Returns a full description of the asset to be shown in the view's status bar on when the mouse is over the asset in the tree.
`String` `getShortDescription()`
`String` `getShortString()` Returns a brief description of the asset to be shown in the tree.
`void` `setIcon(ImageIcon icon)`
`void` `setLong(String longDesc)`
`void` `setLongDescription(String longDesc)`
`void` `setShort(String shortDesc)`
`void` `setShortDescription(String shortDesc)`
`String` `toString()`

Methods inherited from class sidekick.Asset
`getEnd, getName, getStart, setEnd, setName, setStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceAsset

    public SourceAsset()

### SourceAsset

    public SourceAsset(String name,
                       int lineNo,
                       Position start)

Method Detail

### getLineNo

    public int getLineNo()

### getIcon

    public Icon getIcon()

  Description copied from interface: `IAsset`
  Returns the icon to be shown for the asset in the structure tree.

### setIcon

    public void setIcon(ImageIcon icon)

### get_type

    public int get_type()

### getShortString

    public String getShortString()

  Description copied from interface: `IAsset`
  Returns a brief description of the asset to be shown in the tree. This string is displayed in the jEdit status bar and optionally in a tool tip (if the user has the 'show tool tips' option turned on).

### getLongString

    public String getLongString()

  Description copied from interface: `IAsset`
  Returns a full description of the asset to be shown in the view's status bar on when the mouse is over the asset in the tree. Only the first line of this message will be shown in the status bar. The full text will be displayed in the built-in status window (if the user has the 'show status window' option turned on).

### getShortDescription

    public String getShortDescription()

### getLongDescription

    public String getLongDescription()

### setShort

    public void setShort(String shortDesc)

### setLong

    public void setLong(String longDesc)

### setShortDescription

    public void setShortDescription(String shortDesc)

### setLongDescription

    public void setLongDescription(String longDesc)

### toString

    public String toString()